export const AuthActionTypes = {
  REGISTER_SUCCESS: 'REGISTER_SUCCESS',
  REGISTER_FAIL: 'REGISTER_FAIL',
  USER_LOADED: 'USER_LOADED',
  AUTH_ERROR: 'AUTH_ERROR',
  LOGIN_SUCCESS: 'LOGIN_SUCCESS',
  LOGIN_FAIL: 'LOGIN_FAIL',
  LOGOUT: 'LOGOUT'
};

export const PacienteActionTypes = {
  PACIENTES_FETCH_START: 'PACIENTES_FETCH_START',
  PACIENTES_FETCH_ERROR: 'PACIENTES_FETCH_ERROR',
  GET_PACIENTES_SUCCESS: 'GET_PACIENTES_SUCCESS',
  ADD_PACIENTE_SUCCESS: 'ADD_PACIENTE_SUCCESS',
  SOLICITAR_TURNO_PACIENTE_SUCCESS: 'SOLICITAR_TURNO_PACIENTE_SUCCESS',
  DELETE_PACIENTE_SUCCESS: 'DELETE_PACIENTE_SUCCESS',
  GET_PACIENTES_SOLICITUDES_SUCCESS: 'GET_PACIENTES_SOLICITUDES_SUCCESS',
  DELETE_SOLICITUD_PACIENTE: 'DELETE_SOLICITUD_PACIENTE',
  PACIENTE_TOMADO_POR_PROFESIONAL: 'PACIENTE_TOMADO_POR_PROFESIONAL',
  GET_PACIENTE_BYID: 'GET_PACIENTE_BYID',
  UPDATE_PACIENTE: 'UPDATE_PACIENTE'
};

export const ProfesionalesActionTypes = {
  PROFESIONALES_FETCH_START: 'PROFESIONALES_FETCH_START',
  PROFESIONALES_FETCH_ERROR: 'PROFESIONALES_FETCH_ERROR',
  GET_PROFESIONALES_SUCCESS: 'GET_PROFESIONALES_SUCCESS',
  ADD_PROFESIONAL_SUCCESS: 'ADD_PROFESIONAL_SUCCESS',
  DELETE_PROFESIONAL_SUCCESS: 'DELETE_PROFESIONAL_SUCCESS',
  GET_PROFESIONALES_SOLICITUDES_SUCCESS:
    'GET_PROFESIONALES_SOLICITUDES_SUCCESS',
  APROBAR_SOLICITUD_PROFESIONAL: 'APROBAR_SOLICITUD_PROFESIONAL',
  DELETE_SOLICITUD_PROFESIONAL: 'DELETE_SOLICITUD_PROFESIONAL',
  GET_PROFESIONAL_BY_USERID: 'GET_PROFESIONAL_BY_USERID'
};

export const UsersActionTypes = {
  USERS_FETCH_START: 'USERS_FETCH_START',
  USERS_FETCH_ERROR: 'USERS_FETCH_ERROR',
  GET_USERS_SUCCESS: 'GET_USERS_SUCCESS'
};
